Subject: Re: [PATCH net-next v3 02/11] net: ethernet: ti: cpts: separate hw counter read from timecounter

From: Richard Cochran <[email-masked]>
Date: Thu, 26 Mar 2020 07:18:04 -0700

On Fri, Mar 20, 2020 at 09:42:35PM +0200, Grygorii Strashko wrote:
> Separate hw counter read from timecounter code:
> - add CPTS context field to store current HW counter value
> - move HW timestamp request and FIFO read code out of timecounter code
> - convert cyc2time on event reception in cpts_fifo_read()
> - call timecounter_read() in cpts_fifo_read() to update tk->cycle_last

This comment tells us WHAT the patch does, but does not help because
we can see that from the patch itself.  Instead, the comment should
tell us WHY is change is needed.

I was left scratching my head, with the question, what is the purpose
here?  Maybe the answer is to be found later on in the series.

Here is commit message pattern to follow that I learned from tglx:

1. context
2. problem
3. solution

For this patch, the sentence, "Separate hw counter read from
timecounter code" is #3.

Thanks,
Richard